LSLOGINS(1)

NUME
lslogins - afișează informații despre utilizatorii cunoscuți din sistem

REZUMAT

lslogins [opțiuni] [-s|-u[=UID]] [-g grupuri] [-l nume-autentificare] [nume-utilizator]

DESCRIERE

Examinează jurnalele wtmp și btmp, /etc/shadow (dacă este necesar) și /passwd și afișează datele dorite.

Argumentul opțional nume-utilizator forțează lslogins să afișeze toate detaliile disponibile numai despre utilizatorul specificat. În acest caz, formatul de ieșire este diferit de cel din cazul -l sau -g, iar dacă nume-utilizator este necunoscut este raportat ca o eroare.

Acțiunea implicită este de a lista informații despre toți utilizatorii din sistem.

OPȚIUNI

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --acc-expiration
    Afișează date despre data ultimei modificări a parolei și data de expirare a contului (pentru mai multe informații, consultați shadow(5)). (Necesită privilegii de root).

--btmp-file ruta
    Rută alternativă pentru btmp.

-c, --colon-separate
    Separă informațiile despre fiecare utilizator cu două puncte în loc de o linie nouă.

-e, --export
    Datele de ieșire în formatul NUME=VALOARE. A se vedea și opțiunea --shell.

-f, --failed
    Afișează date despre ultimele încercări eșuate de autentificare ale utilizatorilor.

-G, --supp-groups
    Afișează informații despre grupurile suplimentare.

-g, --group grupuri
    Afișează numai datele utilizatorilor care aparțin grupurilor. Se pot specifica mai multe grupuri; lista trebuie să fie separată prin virgule. Numele necunoscute ale grupurilor sunt ignorate.

    Rețineți că relația dintre utilizator și grup poate fi invizibilă pentru grupul primar dacă utilizatorul nu este specificat în mod explicit ca membru al grupului (de exemplu, în /etc/group). În cazul în care comanda lslogins caută grupuri, atunci aceasta utilizează numai baza de date a grupurilor, iar baza de date a utilizatorilor cu GID primar nu este utilizată deloc.

-L, --last
    Afișează date care conțin informații despre ultimele sesiuni de conectare ale utilizatorilor.

-l, --logins nume-autentificare
    Afișează numai datele utilizatorilor cu un nume de autentificare specificat în logins (nume de utilizator sau ID-uri de utilizator). Se pot specifica mai multe autentificări; lista trebuie să fie separată prin virgule. Numele de autentificare necunoscute sunt ignorate.

-n, --newline
    Afișează fiecare detaliu informativ pe o linie separată.

--noheadings
    Nu imprimă o linie de antet.

--notruncate
    Nu trunchiază ieșirea.

-o, --output listă
    Specifică ce coloane de ieșire se vor afișa. Lista implicită de coloane poate fi extinsă dacă listă este specificată în formatul +listă.

--output-all
    Afișează toate coloanele disponibile. --help pentru a obține o listă cu toate coloanele acceptate.

-p, --pwd
    Afișează informații referitoare la autentificarea prin parolă (a se vedea și -afL).

-r, --raw
    Ieșire brută (fără antet).

-s, --system-accs
    Afișează conturile de sistem. În mod implicit, acestea sunt toate conturile cu un UID cuprins între 101 și 999 (inclusiv), cu excepția lui nobody sau nfsnobody (UID 65534). Această valoare implicită predefinită poate fi suprascrisă de parametrii SYS_UID_MIN și SYS_UID_MAX din fișierul /etc/login.defs.

--time-format tip
    Afișează datele în format scurt, complet sau iso. În mod implicit este scurt, acest format de timp este conceput pentru a fi eficient din punct de vedere al spațiului și care să poată fi ușor de citit.

-u, --user-accs
    Afișează conturile de utilizator. În mod implicit, acestea sunt toate conturile cu UID peste 1000 (inclusiv), cu excepția lui nobody sau nfsnobody (UID 65534). Această valoare implicită definită ca parte intrinsecă a programului, poate fi suprascrisă de parametrii UID_MIN și UID_MAX din fișierul /etc/login.defs.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

--wtmp-file ruta
    Rută alternativă pentru wtmp.

--lastlog ruta
    Rută alternativă pentru lastlog(8).

-y, --shell
    Numele coloanei va fi modificat astfel încât să conțină numai caracterele permise pentru identificatorii de variabile de tip shell. Acest lucru este utilizabil, de exemplu, cu --export. Rețineți că această caracteristică a fost activată automat pentru --export în versiunea 2.37, dar din cauza unor probleme de compatibilitate, acum este necesar să se solicite acest comportament prin --shell.

-Z, --context
    Afișează contextul de securitate al utilizatorilor.

-z, --print0
    Delimitează intrările utilizatorului cu un caracter nul, în loc de o linie nouă.

STARE DE IEȘIRE

0
    dacă totul este OK,

1
    dacă sunt specificate argumente incorecte,

2
    în cazul în care apare o eroare gravă (de exemplu, un jurnal corupt).

NOTE

Valorile implicite ale pragurilor UID sunt citite din /etc/login.defs.

  Starea parolei

Mai multe câmpuri descriu starea parolei.

„Parola este blocată”
    Parola este prefixată cu "!!!", iar utilizatorul nu se poate conecta deși parola este stabilită sau goală. Acest lucru este obișnuit în cazul conturilor noi fără o parolă stabilită.

„Parola nu este necesară (goală)”
    Parola nu este stabilită (lipsește suma de control a parolei); acest lucru este obișnuit pentru conturile de sistem blocate. Faptul că nu se solicită o parolă nu înseamnă că utilizatorul se poate conecta fără parolă. Depinde de starea de „blocare” a parolei.

„Autentificarea prin parolă este dezactivată”
    „yes” înseamnă că nu există o parolă validă. Suma de control a parolei lipsește sau metoda creare/calculare a sumei de control respective este necunoscută sau conține caractere nevalide.

ISTORIC

Aplicația lslogins este inspirată de aplicația logins, care a apărut pentru prima dată în FreeBSD 4.10.

AUTORI

CONSULTAȚI ȘI

group(5), passwd(5), shadow(5), utmp(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lslogins face parte din pachetul util-linux care poate fi descărcat de la